Bug 56339 - Repackage editor/util classes into org.netbeans.lib.editor.util
Repackage editor/util classes into org.netbeans.lib.editor.util
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
4.x
All All
: P2 (vote)
: 4.x
Assigned To: Miloslav Metelka
issues@editor
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 21:50 UTC by Miloslav Metelka
Modified: 2007-11-05 13:44 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
Proposed changes including apichanges.xml change description (143.34 KB, patch)
2005-03-14 11:07 UTC, Miloslav Metelka
Details | Diff
Final diff (143.31 KB, patch)
2005-03-21 17:45 UTC, Miloslav Metelka
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2005-03-13 21:50:25 UTC
All the present classes in editor/util submodule are independent of the NB IDE
and therefore they should be repackaged from org.netbeans.modules.editor.util
into org.netbeans.lib.editor.util according to the formerly accepted editor
split proposal - issue 51486. I would like to perform the change into 4.1 so
that the module is properly packaged prior 4.1 release.
editor/util module has friend API stability and its clients are editor/lib and
editor/fold.
I will update editor/util/api/apichanges.xml to reflect the change.
Comment 1 Miloslav Metelka 2005-03-14 11:07:37 UTC
Created attachment 20815 [details]
Proposed changes including apichanges.xml change description
Comment 2 Miloslav Metelka 2005-03-14 12:29:48 UTC
I would like to ask the DevRev for review. This is just repackaging no
functionality change.
Comment 3 Jaroslav Tulach 2005-03-15 09:13:51 UTC
One thing that I realized is that this (and probably other) editor api is not
listed at http://www.netbeans.org/download/dev/javadoc/ can this be fixed?
Comment 4 Miloslav Metelka 2005-03-15 10:33:01 UTC
Done. There should now be EditorModuleAPI (to distinguish from already present
EditorAPI which stands for openide/editor).
Comment 5 Miloslav Metelka 2005-03-21 17:16:38 UTC
Reassigning back to me for integration.
In the meantime I've realized one little refinement. Currently there is a public
subpackage "element" under "o.n.modules.editor.util" containing swing text
element related utilities. Originally I have planned to have another subpackage
"document" for swing documents related utilities in the future. Now I think that
it would just be enough to have a single subpackage called "swing" where all the
swing related utility classes (element or document related) would be located.
This will help to lower the number of public packages. So the present
"o.n.modules.editor.util.element" would become "o.n.lib.editor.util.swing".
Attaching the final diff.
Comment 6 Miloslav Metelka 2005-03-21 17:45:07 UTC
Created attachment 21007 [details]
Final diff
Comment 7 Miloslav Metelka 2005-03-22 09:29:29 UTC
Fixed in main trunk:
RCS file: /cvs/editor/arch/arch-editor-util.xml,v
done
Checking in editor/arch/arch-editor-util.xml;
/cvs/editor/arch/arch-editor-util.xml,v  <--  arch-editor-util.xml
initial revision: 1.1
done
Checking in editor/arch/arch-editor.xml;
/cvs/editor/arch/arch-editor.xml,v  <--  arch-editor.xml
new revision: 1.22; previous revision: 1.21
done
Checking in editor/arch/build.xml;
/cvs/editor/arch/build.xml,v  <--  build.xml
new revision: 1.4; previous revision: 1.3
done
Checking in editor/fold/src/org/netbeans/modules/editor/fold/FoldChildren.java;
/cvs/editor/fold/src/org/netbeans/modules/editor/fold/FoldChildren.java,v  <-- 
FoldChildren.java
new revision: 1.3; previous revision: 1.2
done
Checking in
editor/fold/src/org/netbeans/modules/editor/fold/FoldHierarchyExecution.java;
/cvs/editor/fold/src/org/netbeans/modules/editor/fold/FoldHierarchyExecution.java,v
 <--  FoldHierarchyExecution.java
new revision: 1.5; previous revision: 1.4
done
Checking in editor/libsrc/org/netbeans/editor/LineRootElement.java;
/cvs/editor/libsrc/org/netbeans/editor/LineRootElement.java,v  <-- 
LineRootElement.java
new revision: 1.13; previous revision: 1.12
done
Checking in editor/libsrc/org/netbeans/editor/view/spi/LockView.java;
/cvs/editor/libsrc/org/netbeans/editor/view/spi/LockView.java,v  <--  LockView.java
new revision: 1.8; previous revision: 1.7
done
Checking in editor/libsrc/org/netbeans/lib/editor/view/GapBoxView.java;
/cvs/editor/libsrc/org/netbeans/lib/editor/view/GapBoxView.java,v  <-- 
GapBoxView.java
new revision: 1.12; previous revision: 1.11
done
Checking in editor/util/manifest.mf;
/cvs/editor/util/manifest.mf,v  <--  manifest.mf
new revision: 1.5; previous revision: 1.4
done
RCS file: /cvs/editor/util/api/apichanges.xml,v
done
Checking in editor/util/api/apichanges.xml;
/cvs/editor/util/api/apichanges.xml,v  <--  apichanges.xml
initial revision: 1.1
done
Checking in editor/util/nbproject/project.properties;
/cvs/editor/util/nbproject/project.properties,v  <--  project.properties
new revision: 1.3; previous revision: 1.2
done
Checking in editor/util/nbproject/project.xml;
/cvs/editor/util/nbproject/project.xml,v  <--  project.xml
new revision: 1.4; previous revision: 1.3
done
RCS file: /cvs/editor/util/src/org/netbeans/lib/editor/util/Bundle.properties,v
done
Checking in editor/util/src/org/netbeans/lib/editor/util/Bundle.properties;
/cvs/editor/util/src/org/netbeans/lib/editor/util/Bundle.properties,v  <-- 
Bundle.properties
initial revision: 1.1
done
RCS file: /cvs/editor/util/src/org/netbeans/lib/editor/util/GapList.java,v
done
Checking in editor/util/src/org/netbeans/lib/editor/util/GapList.java;
/cvs/editor/util/src/org/netbeans/lib/editor/util/GapList.java,v  <--  GapList.java
initial revision: 1.1
done
RCS file: /cvs/editor/util/src/org/netbeans/lib/editor/util/PriorityMutex.java,v
done
Checking in editor/util/src/org/netbeans/lib/editor/util/PriorityMutex.java;
/cvs/editor/util/src/org/netbeans/lib/editor/util/PriorityMutex.java,v  <-- 
PriorityMutex.java
initial revision: 1.1
done
RCS file:
/cvs/editor/util/src/org/netbeans/lib/editor/util/swing/ElementUtilities.java,v
done
Checking in
editor/util/src/org/netbeans/lib/editor/util/swing/ElementUtilities.java;
/cvs/editor/util/src/org/netbeans/lib/editor/util/swing/ElementUtilities.java,v
 <--  ElementUtilities.java
initial revision: 1.1
done
RCS file:
/cvs/editor/util/src/org/netbeans/lib/editor/util/swing/GapBranchElement.java,v
done
Checking in
editor/util/src/org/netbeans/lib/editor/util/swing/GapBranchElement.java;
/cvs/editor/util/src/org/netbeans/lib/editor/util/swing/GapBranchElement.java,v
 <--  GapBranchElement.java
initial revision: 1.1
done
Removing editor/util/src/org/netbeans/modules/editor/util/Bundle.properties;
/cvs/editor/util/src/org/netbeans/modules/editor/util/Bundle.properties,v  <-- 
Bundle.properties
new revision: delete; previous revision: 1.2
done
Removing editor/util/src/org/netbeans/modules/editor/util/GapList.java;
/cvs/editor/util/src/org/netbeans/modules/editor/util/GapList.java,v  <-- 
GapList.java
new revision: delete; previous revision: 1.3
done
Removing editor/util/src/org/netbeans/modules/editor/util/PriorityMutex.java;
/cvs/editor/util/src/org/netbeans/modules/editor/util/PriorityMutex.java,v  <--
 PriorityMutex.java
new revision: delete; previous revision: 1.2
done
Removing
editor/util/src/org/netbeans/modules/editor/util/element/ElementUtilities.java;
/cvs/editor/util/src/org/netbeans/modules/editor/util/element/ElementUtilities.java,v
 <--  ElementUtilities.java
new revision: delete; previous revision: 1.1
done
Removing
editor/util/src/org/netbeans/modules/editor/util/element/GapBranchElement.java;
/cvs/editor/util/src/org/netbeans/modules/editor/util/element/GapBranchElement.java,v
 <--  GapBranchElement.java
new revision: delete; previous revision: 1.2
done
RCS file:
/cvs/editor/util/test/unit/src/org/netbeans/lib/editor/util/GapListRandomTest.java,v
done
Checking in
editor/util/test/unit/src/org/netbeans/lib/editor/util/GapListRandomTest.java;
/cvs/editor/util/test/unit/src/org/netbeans/lib/editor/util/GapListRandomTest.java,v
 <--  GapListRandomTest.java
initial revision: 1.1
done
Removing
editor/util/test/unit/src/org/netbeans/modules/editor/util/GapListRandomTest.java;
/cvs/editor/util/test/unit/src/org/netbeans/modules/editor/util/GapListRandomTest.java,v
 <--  GapListRandomTest.java
new revision: delete; previous revision: 1.3
done
Checking in ide/golden/public-packages.txt;
/cvs/ide/golden/public-packages.txt,v  <--  public-packages.txt
new revision: 1.16; previous revision: 1.15


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo